%global gem_name spy

Name:           rubygem-%{gem_name}
Summary:        Simple modern mocking library that uses the spy pattern
Version:        1.0.0
Release:        1%{?dist}
License:        MIT

URL:            https://github.com/ryanong/spy
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

# Patch to drop unnecessary dependencies for tests
Patch0:         00-tests-drop-unnecessary-dependencies.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  ruby(release)
BuildRequires:  rubygems-devel
BuildRequires:  ruby >= 1.9.3

BuildRequires:  rubygem(bundler)
BuildRequires:  rubygem(pry)
BuildRequires:  rubygem(pry-nav)
BuildRequires:  rubygem(minitest) >= 4.5.0
BuildRequires:  rubygem(redcarpet)
BuildRequires:  rubygem(rspec-core)
BuildRequires:  rubygem(rspec-expectations)
BuildRequires:  rubygem(yard)


%description
Spy is a mocking library that was made for the modern age. It supports only
1.9.3+. Spy by default will raise an error if you attempt to stub a method
that doesn't exist or call the stubbed method with the wrong arity.


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation for %{name}.


%prep
%autosetup -S git -n %{gem_name}-%{version}


%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
ruby -Ilib:test -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd


%files
%license %{gem_instdir}/LICENSE.txt

%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}

%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%exclude %{gem_instdir}/spy.gemspec
%exclude %{gem_cache}


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/spy.gemspec
%{gem_instdir}/test


%changelog
* Mon Oct 15 2018 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0.

* Mon Apr 23 2018 Fabio Valentini <decathorpe@gmail.com> - 0.4.5-1
- Initial package

